Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.pdf
Class PdfStrings

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.pdf.PdfStrings

    public class PdfStrings

extends java.lang.Object

A class for holding arrays of informative strings that will go into properties of a PDF object.

Field Summary
`static java.lang.String[]` | `ALGORITHM` Encryption algorithm strings.
`static java.lang.String[]` | `ANNOTATIONFLAGS` Flags for annotations
`static java.lang.String[]` | `FONTDESCFLAGS` Flags for FontDescriptor.
`static java.lang.String[]` | `USERPERMFLAGS2` Flags for user access permissions when revision 2 is specified.
`static java.lang.String[]` | `USERPERMFLAGS3` Flags for user access permissions when revision 3 is specified.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALGORITHM

    public static final java.lang.String[] ALGORITHM

  Encryption algorithm strings.

### FONTDESCFLAGS

    public static final java.lang.String[] FONTDESCFLAGS

  Flags for FontDescriptor. In PDF notation, bit 1 (not 0) is the low-order bit.

### USERPERMFLAGS3

    public static final java.lang.String[] USERPERMFLAGS3

  Flags for user access permissions when revision 3 is specified.

### USERPERMFLAGS2

    public static final java.lang.String[] USERPERMFLAGS2

  Flags for user access permissions when revision 2 is specified.

### ANNOTATIONFLAGS

    public static final java.lang.String[] ANNOTATIONFLAGS

  Flags for annotations

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD